%global srcname modernize

Name: python-modernize
Version: 0.4
Release: 1%{?dist}
Summary: Modernizes Python code for eventual Python 3 migration

License:        BSD
URL:            https://pypi.python.org/pypi/modernize
Source0:        https://pypi.python.org/packages/source/m/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
This library is a very thin wrapper around lib2to3 to utilize it
to make Python 2 code more modern with the intention of eventually
porting it over to Python 3.

It attempts, but does not guarantee, to generate a Python 2/3 compatible
codebase.  The code that it generates needs python2.6+ and has a runtime
dependency on python-six.

%prep
%setup -q -n %{srcname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}

 
%files
%doc README.rst
%{python_sitelib}/*
%{_bindir}/*

%changelog
* Wed Apr 08 2015 Ralph Bean <rbean@redhat.com> - 0.4-1
- new version

* Wed Aug 27 2014 Luke Macken <lmacken@redhat.com> - 0.3-1
- Update to 0.3 (#1130054)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 23 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2-2
- BuildRequire python-setuptools; needed by setup.py
- Remove rpm constructs not needed in EPEL6+ or any current Fedora
- 

* Mon Jul 22 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 0.2-1
- Initial Fedora build.

